summaryrefslogtreecommitdiffstats
path: root/board/freescale-mx35-3-stack/env/bin/update_rootfs
diff options
context:
space:
mode:
Diffstat (limited to 'board/freescale-mx35-3-stack/env/bin/update_rootfs')
-rw-r--r--board/freescale-mx35-3-stack/env/bin/update_rootfs20
1 files changed, 20 insertions, 0 deletions
diff --git a/board/freescale-mx35-3-stack/env/bin/update_rootfs b/board/freescale-mx35-3-stack/env/bin/update_rootfs
new file mode 100644
index 0000000..53dd2ca
--- /dev/null
+++ b/board/freescale-mx35-3-stack/env/bin/update_rootfs
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+. /env/config
+
+if [ $rootfs_type = ubifs ]; then
+ image=${rootfs}.ubi
+else
+ image=${rootfs}.$rootfs_type
+fi
+
+if [ x$1 = xnand ]; then
+ part=/dev/nand0.root.bb
+elif [ x$1 = xnor ]; then
+ part=/dev/nor0.root
+else
+ echo "usage: $0 nor|nand [imagename]"
+ exit 1
+fi
+
+. /env/bin/_update $2